--- mailcheck/Makefile	2004-05-11 16:46:23.000000000 -0400
+++ mailcheck/Makefile.orig	2004-05-11 16:11:37.000000000 -0400
@@ -90,7 +90,7 @@
 GCJ = @GCJ@
 GCJFLAGS = @GCJFLAGS@
 GCONFTOOL = /usr/bin/gconftool-2
-GCONF_SCHEMA_CONFIG_SOURCE = xml::$(DESTDIR)/etc/gconf/gconf.xml.defaults
+GCONF_SCHEMA_CONFIG_SOURCE = xml::/etc/gconf/gconf.xml.defaults
 GCONF_SCHEMA_FILE_DIR = $(sysconfdir)/gconf/schemas/
 GDK_PIXBUF_CSOURCE = /usr/bin/gdk-pixbuf-csource
 GETTEXT_PACKAGE = gnome-applets-2.0
@@ -701,9 +701,11 @@
 
 # don't do this if we are building in eg. rpm
 install-data-local:
-	for p in $(schemas_DATA) ; do \
-	        GCONF_CONFIG_SOURCE=$(GCONF_SCHEMA_CONFIG_SOURCE) $(GCONFTOOL) --makefile-install-rule $(top_builddir)/mailcheck/$$p ; \
-	done \
+	if test -z "$(DESTDIR)" ; then \
+		for p in $(schemas_DATA) ; do \
+		        GCONF_CONFIG_SOURCE=$(GCONF_SCHEMA_CONFIG_SOURCE) $(GCONFTOOL) --makefile-install-rule $(top_builddir)/mailcheck/$$p ; \
+		done \
+	fi
 #install-data-local:
 # Tell versions [3.59,3.63) of GNU make to not export all variables.
 # Otherwise a system limit (for SysV at least) may be exceeded.
--- drivemount/Makefile	2004-05-11 16:46:35.000000000 -0400
+++ drivemount/Makefile.orig	2004-05-11 16:11:46.000000000 -0400
@@ -90,7 +90,7 @@
 GCJ = @GCJ@
 GCJFLAGS = @GCJFLAGS@
 GCONFTOOL = /usr/bin/gconftool-2
-GCONF_SCHEMA_CONFIG_SOURCE = xml::$(DESTDIR)/etc/gconf/gconf.xml.defaults
+GCONF_SCHEMA_CONFIG_SOURCE = xml::/etc/gconf/gconf.xml.defaults
 GCONF_SCHEMA_FILE_DIR = $(sysconfdir)/gconf/schemas/
 GDK_PIXBUF_CSOURCE = /usr/bin/gdk-pixbuf-csource
 GETTEXT_PACKAGE = gnome-applets-2.0
@@ -677,9 +677,11 @@
 %.schemas:   %.schemas.in   $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) $(top_srcdir)/po $< $@ -s -u -c $(top_builddir)/po/.intltool-merge-cache
 
 install-data-local:
-	for p in $(schemas_DATA) ; do \
-	GCONF_CONFIG_SOURCE=$(GCONF_SCHEMA_CONFIG_SOURCE) $(GCONFTOOL) --makefile-install-rule $(top_builddir)/drivemount/$$p ; \
-	done ; \
+	if test -z "$(DESTDIR)" ; then \
+		for p in $(schemas_DATA) ; do \
+		GCONF_CONFIG_SOURCE=$(GCONF_SCHEMA_CONFIG_SOURCE) $(GCONFTOOL) --makefile-install-rule $(top_builddir)/drivemount/$$p ; \
+		done ; \
+	fi
 #install-data-local:
 # Tell versions [3.59,3.63) of GNU make to not export all variables.
 # Otherwise a system limit (for SysV at least) may be exceeded.
--- gswitchit/Makefile	2004-05-11 16:46:44.000000000 -0400
+++ gswitchit/Makefile.orig	2004-05-11 16:12:20.000000000 -0400
@@ -90,7 +90,7 @@
 GCJ = @GCJ@
 GCJFLAGS = @GCJFLAGS@
 GCONFTOOL = /usr/bin/gconftool-2
-GCONF_SCHEMA_CONFIG_SOURCE = xml::$(DESTDIR)/etc/gconf/gconf.xml.defaults
+GCONF_SCHEMA_CONFIG_SOURCE = xml::/etc/gconf/gconf.xml.defaults
 GCONF_SCHEMA_FILE_DIR = $(sysconfdir)/gconf/schemas/
 GDK_PIXBUF_CSOURCE = /usr/bin/gdk-pixbuf-csource
 GETTEXT_PACKAGE = gnome-applets-2.0
@@ -791,7 +791,9 @@
 %.schemas:   %.schemas.in   $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) $(top_srcdir)/po $< $@ -s -u -c $(top_builddir)/po/.intltool-merge-cache
 
 install-data-local:
-         GCONF_CONFIG_SOURCE=$(GCONF_SCHEMA_CONFIG_SOURCE) $(GCONFTOOL) --makefile-install-rule $(schemas_DATA); \
+	if test -z "$(DESTDIR)" ; then \
+          GCONF_CONFIG_SOURCE=$(GCONF_SCHEMA_CONFIG_SOURCE) $(GCONFTOOL) --makefile-install-rule $(schemas_DATA); \
+        fi
 # Tell versions [3.59,3.63) of GNU make to not export all variables.
 # Otherwise a system limit (for SysV at least) may be exceeded.
 .NOEXPORT:
